Bug 1339398 - [RFE][M-5] change the AWS endpoint URL
Summary: [RFE][M-5] change the AWS endpoint URL
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.5.0
Hardware: x86_64
OS: Linux
high
high
Target Milestone: MVP
: 5.10.0
Assignee: Aparna Karve
QA Contact: Matouš Mojžíš
URL:
Whiteboard:
Depends On:
Blocks: 1555371 1590053
TreeView+ depends on / blocked
 
Reported: 2016-05-24 21:40 UTC by Colin Arnott
Modified: 2019-11-14 08:09 UTC (History)
13 users (show)

Fixed In Version: 5.10.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:02:13 UTC
Category: ---
Cloudforms Team: AWS
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:02:31 UTC

Description Colin Arnott 2016-05-24 21:40:40 UTC
Description of problem:
When accessing AWS we would like to use a VPN with a custom endpoint URL.

Version-Release number of selected component (if applicable):
CloudForms 4.0

Additional info:

(pending)

Comment 3 Marcel Hild 2016-06-24 07:47:20 UTC
Could you please provide a bit more detailed info, how this custom endpoint should look like and how it would be configured in the application?

We use several aws services and their endpoints are constructed via the region.
http://docs.aws.amazon.com/general/latest/gr/rande.html

e.g. we use sns, ec2, sqs etc

Would you provide a custom endpoint for each service?
Or a pattern? 
And how would a region come into play?
Would you configure the endpoint on a appliance basis or per provider/manager?

Comment 15 Bronagh Sorota 2018-05-03 19:43:06 UTC
Hi Dan,

There is an :endpoint parameter that can be passed in when connecting to an AWS service, see:
https://docs.aws.amazon.com/sdkforruby/api/Aws/EC2/Client.html#initialize-instance_method

Can you dig into this a bit and see what sort of solution you can come up with. Let me know if you need more clarity around the requirements.

Thanks
Bronagh

Comment 16 Daniel Berger 2018-05-03 21:20:21 UTC
One option would be to control this through config/settings.yml the same way we control proxy settings.

However, that would be a global setting, and it sounds like we need to do this on a per-provider basis. We could still do it through config/settings.yml but the users would have to match their provider name and enter that themselves. So it would be something like:

:ems:
  :ems_amazon:
    :provider_name:
      :endpoint: "foo.bar.com"

From there we modify connect (or raw_connect) to use that setting.

Otherwise we'll need to create a new column in ext_management_system (or overload an existing one that isn't being used by our Amazon provider) and use that, along with a UI change, to allow users to set an endpoint.

Comment 20 Matouš Mojžíš 2018-07-09 15:01:44 UTC
Verified in 5.10.0.0. I added endpoint to VPC and then was able to add cloud provider from appliance from same region with that VPC endpoint.

Comment 22 errata-xmlrpc 2019-02-07 23:02:13 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.